# Overview

Discovery API provides powerful products for different use cases. Let us provide a brief overview:

Search allows you to build comprehensive search experience to find creators. Use filters, lookalikes and our dictionaries and lists to create stunning user interfaces.

Reports provide in depth analytics that include audience demographics, performance metrics, sponsored posts and much more.

Our collaborations products enable you to create overviews of past brand partnerships between creators and brands.

There is more: Search by Email allows you to lookup which creator accounts are associated with an emails and audience overlap identifies the uniqueness of an audience with ease.

# Testing the API

## Search

You can test out the [Instagram Search API](#tag/Instagram/paths/~1instagram~1search/post) for free by leaving the filter object empty. Your request body should look similar to this.

```
> POST https://api.modash.io/v1/instagram/search
{
	"sort": {
		"field": "followers",
		"direction": "desc"
	},
	"filter": {
	}
}
```

## Reports

To test out the [Instagram Reports API](#tag/Instagram/paths/~1instagram~1profile~1{userId}~1report/get) for free you can set the `userId` as `instagram`.
Your request should look like this.

```
> GET https://api.modash.io/v1/instagram/profile/instagram/report
```

We recommend always using the report route and caching the result if necessary. Everything that is included in the overview is also in a report.

# Pagination

When using the Search API, each response has in total 15 influencers. If you wish to query more influencers for the same query you need to increment the `page` parameter in the request body.

By default the `page` parameter is set to `0`.

# Dictionaries

## Interests, Locations and brands

When finding influencers by interests, locations or brands you need to search by their respective ID. To list all interests, locations or brands you need to call the `https://api.modash.io/v1/instagram/interests`, `https://api.modash.io/v1/instagram/locations`, `https://api.modash.io/v1/instagram/brands` route.

You can specify the list of interests, locations or brands returned by using the `query` parameter and limit the amount of list items returned by using the `limit` parameter.

By default the `limit` parameter is set to `20`. You can query all list items by setting the `limit` parameter to `1000000`.

## Languages

Similar to interests, locations and brands, you first need to find the correct language code to search by. This can be done by calling the `https://api.modash.io/v1/instagram/languages` route.



## Servers

```
https://api.modash.io/v1
```

## Security

### accessToken

[object Object]

Type: http
In: header
Name: Authorization
Scheme: bearer
Bearer Format: token

## Download OpenAPI description

 - [Overview](https://docs.modash.io/_bundle/products/discovery_api/openapi_doc/discovery.yaml)

 - [POST /email-search](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/other/multiplatformcontroller_emailsearch.md): For each email provided, identify one or more social media accounts on Instagram, YouTube, or TikTok that have listed this email in their bio or as their contact information. </br>A successful request
## YouTube

 - [POST /youtube/search](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/youtube/youtubecontroller_search.md): <p>Get a list of influencers that match your filters. </br>A successful request costs <b>0.01 credits per search result</b>, with a typical request totaling <b>0.15 credits</b> for up to <b>15 results
 - [GET /youtube/profile/{userId}/report](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/youtube/youtubecontroller_report.md): Every successful request costs <b>1 credit</b>.
 - [GET /youtube/languages](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/youtube/youtubecontroller_languages.md): Search the list of languages for Influencers. </br>A successful request costs 0 credits.
 - [GET /youtube/locations](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/youtube/youtubecontroller_locations.md): Search the list of locations for Influencers. </br>A successful request costs 0 credits.
 - [POST /youtube/reports/audience/overlap](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/youtube/youtubecontroller_influencersaudienceoverlap.md): Check audience (followers) overlap for several influencers. </br>A successful request costs <b>1 credit</b>.
 - [GET /youtube/users](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/youtube/youtubecontroller_users.md): Search the list of influencers. </br>A successful request costs 0 credits.
 - [GET /youtube/topics](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/youtube/youtubecontroller_topics.md): Search for topics. </br>A successful request costs 0 credits.
 - [GET /youtube/hashtags](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/youtube/youtubecontroller_hashtags.md): Search for hashtags. </br>A successful request costs 0 credits.
## TikTok

 - [POST /tiktok/search](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/tiktok/tiktokcontroller_search.md): <p>Get a list of influencers that match your filters. </br>A successful request costs <b>0.01 credits per search result</b>, with a typical request totaling <b>0.15 credits</b> for up to <b>15 results
 - [GET /tiktok/profile/{userId}/report](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/tiktok/tiktokcontroller_report.md): Every successful request costs <b>1 credit</b>.
 - [GET /tiktok/languages](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/tiktok/tiktokcontroller_languages.md): Search the list of languages for Influencers. </br>A successful request costs 0 credits.
 - [GET /tiktok/locations](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/tiktok/tiktokcontroller_locations.md): Search the list of locations for Influencers. </br>A successful request costs 0 credits.
 - [GET /tiktok/users](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/tiktok/tiktokcontroller_users.md): Search the list of influencers. </br>A successful request costs 0 credits.
 - [GET /tiktok/topics](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/tiktok/tiktokcontroller_topics.md): Search for topics. </br>A successful request costs 0 credits.
 - [GET /tiktok/hashtags](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/tiktok/tiktokcontroller_hashtags.md): Search for hashtags. </br>A successful request costs 0 credits.
## Instagram

 - [POST /instagram/search](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/instagram/instagramcontroller_search.md): <p>Get a list of influencers that match your filters. </br>A successful request costs <b>0.01 credits per search result</b>, with a typical request totaling <b>0.15 credits</b> for up to <b>15 results
 - [GET /instagram/profile/{userId}/report](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/instagram/instagramcontroller_report.md): Every successful request costs <b>1 credit</b>.
 - [POST /instagram/reports/audience/overlap](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/instagram/instagramcontroller_influencersaudienceoverlap.md): Check audience (followers) overlap for several influencers. </br>A successful request costs <b>1 credit</b>.
 - [GET /instagram/brands](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/instagram/instagramcontroller_brands.md): Search the list of Partnerships (brands) that have worked with the influencer. </br>A successful request costs 0 credits.
 - [GET /instagram/interests](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/instagram/instagramcontroller_interests.md): Search the list of interests. </br>A successful request costs 0 credits.
 - [GET /instagram/topics](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/instagram/instagramcontroller_topics.md): Search for topics. </br>A successful request costs 0 credits.
 - [GET /instagram/languages](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/instagram/instagramcontroller_languages.md): Search the list of languages for Influencers. </br>A successful request costs 0 credits.
 - [GET /instagram/locations](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/instagram/instagramcontroller_locations.md): Search the list of locations for Influencers. </br>A successful request costs 0 credits.
 - [GET /instagram/users](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/instagram/instagramcontroller_users.md): Search the list of influencers. </br>A successful request costs 0 credits.
 - [GET /instagram/hashtags](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/instagram/instagramcontroller_hashtags.md): Search for hashtags. </br>A successful request costs 0 credits.
## AI Search

 - [POST /ai/instagram/text-search](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_igtextsearch.md): Find influencers whose posts semantically (what appears in photos and videos) match the text `query`. Put language, locations, and similar criteria in `filters`. `query` does not support negations—use
 - [POST /ai/instagram/image-search](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_igimagesearch.md): Search for influencers using an image based query (along with other filters) and you will get influencers who have posted content similar to the query image. Default 1 RPS. Each resulting profile cost
 - [POST /ai/tiktok/text-search](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_tttextsearch.md): Find influencers whose posts semantically (what appears in photos and videos) match the text `query`. Put language, locations, and similar criteria in `filters`. `query` does not support negations—use
 - [POST /ai/tiktok/image-search](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_ttimagesearch.md): Search for influencers using an image based query (along with other filters) and you will get influencers who have posted content similar to the query image. Default 1 RPS. Each resulting profile cost
 - [POST /ai/youtube/text-search](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_yttextsearch.md): Find influencers whose posts semantically (what appears in photos and videos) match the text `query`. Put language, locations, and similar criteria in `filters`. `query` does not support negations—use
 - [POST /ai/youtube/image-search](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_ytimagesearch.md): Search for influencers using an image based query (along with other filters) and you will get influencers who have posted content similar to the query image. The image is matched against video and sho
 - [POST /ai/instagram/lookalikes](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_iglookalikes.md): Find creators similar to one or more Instagram creators on any platform. Provide 1 to 5 source creator user IDs or usernames in userIds and a target platform. When multiple sources are provided, resul
 - [POST /ai/tiktok/lookalikes](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_ttlookalikes.md): Find creators similar to one or more TikTok creators on any platform. Provide 1 to 5 source creator user IDs or usernames in userIds and a target platform. When multiple sources are provided, results
 - [POST /ai/youtube/lookalikes](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_ytlookalikes.md): Find creators similar to one or more YouTube creators on any platform. Provide 1 to 5 source creator channel IDs or usernames in userIds and a target platform. When multiple sources are provided, resu
 - [GET /ai/brands](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_brandsdictionary.md): Get a list of brands that match the search query. Results from this endpoint are only valid for AI Search filters. Just like other dictionary endpoints, this endpoints costs nothing and there are no s
 - [GET /ai/hashtags](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_hashtagsdictionary.md): Get popular hashtags matching a prefix query for the specified platform. Results are sorted by popularity (number of posts). This endpoint costs nothing and there are no strict rate limits.
 - [GET /ai/mentions](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_mentionsdictionary.md): Get popular mentions matching a prefix query for the specified platform. Results are sorted by popularity (number of posts). YouTube is not supported. This endpoint costs nothing and there are no stri
 - [POST /ai/lists](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchlistscontroller_createlist.md): Create an empty list for include/exclude filtering in AI Search. Platform is immutable after create. Each account can have up to 20,000 active lists. If you have a reasonable need for a higher limit,
 - [GET /ai/lists](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchlistscontroller_getlists.md): Return metadata for the caller's AI Search lists.<br><br>Does not consume credits.
 - [GET /ai/lists/{listId}](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchlistscontroller_getlist.md): Return strongly consistent metadata for a list you own.<br><br>Does not consume credits.
 - [DELETE /ai/lists/{listId}](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchlistscontroller_deletelist.md): Hard-delete a list and its members.<br><br>Does not consume credits.
 - [GET /ai/lists/{listId}/members](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchlistscontroller_getmembers.md): Paginated platform user IDs in the list. Use this when you need an exact member set or exact count (sum pages); `approximateMemberCount` on metadata is only a fast estimate. Default page size 1000, ma
 - [POST /ai/lists/{listId}/members](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchlistscontroller_addmembers.md): Add members by platform user ID only (no usernames). Existing members are no-ops. Max 10,000 unique IDs per request; max 70,000 members per list.<br><br>Does not consume credits.
 - [DELETE /ai/lists/{listId}/members](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchlistscontroller_removemembers.md): Remove members by platform user ID only. Missing members are no-ops. Max 10,000 unique IDs per request.<br><br>Does not consume credits.
 - [POST /ai/text-search](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_textsearch.md): Find influencers whose posts semantically (what appears in photos and videos) match the text `query`. Put language, locations, and similar criteria in `filters`. `query` does not support negations—use
 - [POST /ai/image-search](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/ai-search/aisearchcontroller_imagesearch.md): Search for influencers using an image based query (along with other filters) and you will get influencers who have posted content similar to the query image. Default 1 RPS. Each resulting profile cost
## Collaborations

 - [POST /collaborations/posts](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/collaborations/collaborationscontroller_posts.md): This endpoint returns collaborated posts where influencers mention brands or vice versa.</br> Every successful request costs <b>0.2 credit</b>.
 - [POST /collaborations/summary](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/collaborations/collaborationscontroller_summary.md): This endpoint aggregates performance data (total as well as per_brand/per_influencer) across the collaborated posts, including total_likes, total_shares, total_views, total_collects, and total_plays.<
## User Account

 - [GET /user/info](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/user-account/usercontroller_info.md)
## System

 - [GET /health](https://docs.modash.io/products/discovery_api/openapi_doc/discovery/system/appcontroller_gethealth.md): The health endpoint provides a real-time status of the API, indicating whether the system is Healthy, Degraded, or Unhealthy based on the performance of recent requests.</br><b>Note:</b> The service h
